
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <SDL/SDL.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <cstdlib>

#include "typesparties.h"
#include "partie.h"
#include "menu.h"
#include "mixer.h"

#define LARGEUR_ECRAN 800
#define HAUTEUR_ECRAN 600

AudioMixer amixer;

/*
int main(int argc, char *argv[])
{
    Normal1j partie;
   
  	//init random
  	srand(time(0));
  
    //init SDL
    SDL_Init(SDL_INIT_VIDEO); //on a besoin de la video
    SDL_WM_SetCaption("GLbricks", NULL); //titre de la fenetre
    SDL_SetVideoMode(LARGEUR_ECRAN, HAUTEUR_ECRAN, 32, SDL_OPENGL);

  	partie.start();
  
   SDL_Quit();
  
    return 0;
}
*/

int
main (void)
{
	//init SDL
	SDL_Init (SDL_INIT_VIDEO | SDL_INIT_AUDIO);	//on a besoin de la video et du son
	SDL_WM_SetCaption ("GLbricks", NULL);	//titre de la fenetre
	SDL_SetVideoMode (LARGEUR_ECRAN, HAUTEUR_ECRAN, 32, SDL_OPENGL);
	SDL_EnableKeyRepeat (1000, 50);
  
  amixer.initMixer();
  
	Menu *startMenu = new Menu (0, 0, 20, -20);
  delete startMenu;
  SDL_Quit();
	return 0;
}
